Gentoo Archives: gentoo-commits

From: Thomas Deutschmann <whissi@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-cluster/galera/
Date: Sat, 23 May 2020 21:45:49
Message-Id: 1590270294.eb9b0c91d053b53363eb480cf2670990f6645d8c.whissi@gentoo
commit:     eb9b0c91d053b53363eb480cf2670990f6645d8c
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sat May 23 21:13:46 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sat May 23 21:44:54 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb9b0c91

sys-cluster/galera: bump to v26.4.4

Closes: https://bugs.gentoo.org/721252
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 sys-cluster/galera/Manifest             |  1 +
 sys-cluster/galera/galera-26.4.4.ebuild | 81 +++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/sys-cluster/galera/Manifest b/sys-cluster/galera/Manifest
index 0e33ea8055b..96de2b635ea 100644
--- a/sys-cluster/galera/Manifest
+++ b/sys-cluster/galera/Manifest
@@ -2,4 +2,5 @@ DIST galera-25.3.26.tar.gz 3386588 BLAKE2B ca78a32dbaa6fd9eb46c40ddb26c97c788e52
 DIST galera-25.3.28.tar.gz 3390722 BLAKE2B 4e399b0f00c7303c11622c3807bc8a7b9b3b5c7747175560905b68abb67d557dde752019c313ba1de961ac2970fbf89d277583ee9c55c142cb1822873d7ab611 SHA512 8ff135022e820fc6a1d33ea1fa6e8677702ed7a7fbf460d45c28cdfe287c666949027989c3152311641debf183f3e8062f561c9935e51d3355df8ba087c5d132
 DIST galera-26.4.2.tar.gz 3499538 BLAKE2B 4531b246da119528192ce85364a344f56aeb83b05b6de0a87fed5cb34f7e23497b9576e4014899c58af23d045501989ccdb51a25ee27b4e32aeb5d1be1054115 SHA512 6c500dbcdc9156421c628c842a00985b3e7c440ad2facbd893f98c846426bf0607ca28152fef99a587146cefb376883ef083d498562d96fcedecf4935a3d466f
 DIST galera-26.4.3.tar.gz 3507925 BLAKE2B fb15724dd1477cbabffe6d76e6fee0425a86d335289a61e8b3fbb51b5dd84f8a6259d3ce1cf808fb5b2f2299c2b9f28988a87d0dc67667a02a53e12ba911d976 SHA512 857c6b1965871a5801d3cd7396fec8259e0b72a397b5fb92e63f374531fdb03dbecd5d5ebfdf2f0dc388d87c0ae25b357d02581c8d5889803d04c0a2f2583b52
+DIST galera-26.4.4.tar.gz 3472392 BLAKE2B 146355ad95058d08800870be1c7d1d0be84d2cc621cc7857754468256cfa7ff5c99b98dfab71ea8354f6fdd720ac3a0849f768cf9cc75a55a92e8cdc0a19a9d4 SHA512 4e85b7e5182a04983d1b6f2ea539bb2fc5e02b73502bcaa1c142e92cd3e43d283570301a433518206885b575932ad5d4d9f72243ed94f6c7245036f24c699d8f
 DIST galera-3-25.3.25.tar.gz 3373347 BLAKE2B 892c5824d88d7ceb0db16f72d9fad9ac7074435a6cacf3fea1599af0be811cc1a0b476d0a15353d0cf854a201ca5e60808392a41125c780bd97b844a4fd55216 SHA512 bc9f02c796c7289034f5b285a8f6a0e668c78302546b47c70cbe3927467993baae8835cf54978fb5276251a6d04a84d6952eaee4e6c7c5fd488543fd53d07b03

diff --git a/sys-cluster/galera/galera-26.4.4.ebuild b/sys-cluster/galera/galera-26.4.4.ebuild
new file mode 100644
index 00000000000..769275ce3ad
--- /dev/null
+++ b/sys-cluster/galera/galera-26.4.4.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit python-any-r1 scons-utils toolchain-funcs flag-o-matic
+
+DESCRIPTION="Synchronous multi-master replication engine that provides the wsrep API"
+HOMEPAGE="https://galeracluster.com"
+SRC_URI="http://nyc2.mirrors.digitalocean.com/mariadb/mariadb-10.4.13/${P}/src/${P}.tar.gz"
+LICENSE="GPL-2 BSD"
+
+SLOT="0"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
+IUSE="cpu_flags_x86_sse4_2 garbd test"
+RESTRICT="!test? ( test )"
+
+CDEPEND="
+	dev-libs/openssl:0=
+	>=dev-libs/boost-1.41:0=
+	"
+BDEPEND=">=sys-devel/gcc-4.4"
+DEPEND="${BDEPEND}
+	${CDEPEND}
+	dev-libs/check
+	>=dev-cpp/asio-1.10.1[ssl]
+	<dev-cpp/asio-1.12.0
+	"
+#Run time only
+RDEPEND="${CDEPEND}"
+
+# Respect {C,LD}FLAGS.
+PATCHES=( "${FILESDIR}/galera-4.1-strip-extra-cflags.patch" )
+
+src_prepare() {
+	default
+
+	# Remove bundled dev-cpp/asio
+	rm -r "${S}/asio" || die
+
+	#Remove optional garbd daemon
+	if ! use garbd ; then
+		rm -r "${S}/garb" || die
+	fi
+}
+
+src_configure() {
+	tc-export CC CXX
+	# Uses hardware specific code that seems to depend on SSE4.2
+	if use cpu_flags_x86_sse4_2 ; then
+		append-cflags -msse4.2
+	else
+		append-cflags -DCRC32C_NO_HARDWARE
+	fi
+	# strict_build_flags=0 disables -Werror, -pedantic, -Weffc++,
+	# and -Wold-style-cast
+	MYSCONS=(
+		tests=$(usex test 1 0)
+		strict_build_flags=0
+		system_asio=1
+	)
+}
+
+src_compile() {
+	escons --warn=no-missing-sconscript "${MYSCONS[@]}"
+}
+
+src_install() {
+	dodoc scripts/packages/README scripts/packages/README-MySQL
+	if use garbd ; then
+		dobin garb/garbd
+		newconfd "${FILESDIR}/garb.cnf" garbd
+		newinitd "${FILESDIR}/garb.init" garbd
+		doman man/garbd.8
+	fi
+	exeinto /usr/$(get_libdir)/${PN}
+	doexe libgalera_smm.so
+}